Page MenuHomePhabricator

elm: use build dir data when EFL_RUN_IN_TREE is set
ClosedPublic

Authored by zmike on Apr 27 2018, 12:30 PM.

Details

Summary

this prevents tests from loading user configs and providing inconsistent
results or accidentally modifying a user's config

fix T6863
Depends on D6013

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike requested review of this revision.Apr 27 2018, 12:30 PM
zmike created this revision.
zmike added a project: efl.May 2 2018, 4:47 PM
stefan_schmidt accepted this revision.May 4 2018, 6:19 AM

With D6013 merged in this one looks good to me.

This revision is now accepted and ready to land.May 4 2018, 6:19 AM
This revision was automatically updated to reflect the committed changes.